<ui:UiBinder xmlns:ui='urn:ui:com.google.gwt.uibinder'
             xmlns:g='urn:import:com.google.gwt.user.client.ui'


        >


    <ui:style>

        .container {
            margin: 0 10px 0 10px;
        }

        .button {
            margin: 3px 0 0 0;
            height: 20px;
            cursor: pointer;
        }

        .label {
            margin: 0px 0 0 7px;
        }

        .recordContainer {
            padding: 0;
        }

        .addAnchor {
             right: 10px;
            color: #000000;
            cursor: pointer;
            display: block;
            float: right;
            font-size: 30px;
            font-weight: bold;
            line-height: 18px;
            opacity: 0.2;
            text-shadow: 0 1px 0 #FFFFFF;
            font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
            text-decoration: none;
            margin: -4px 0 0 0;
        }

        .addAnchor:hover {
            text-decoration: none;
        }

        .avatar {
            height: 40px;
        }

        .addedLable {
            width: 99px;
            padding: 5px;
            color: gray;
            font-weight: bold;
            font-size: 12px;
            background-color: #eee;
        }

    </ui:style>


    <g:HTMLPanel styleName="{style.container}" ui:field="container">

        <g:HTMLPanel styleName="{style.recordContainer}">
            <table width="100%">
                <tr>
                    <td width="13px">
                        <!--<g:Image ui:field="avatar" styleName="{style.avatar}"></g:Image>-->

                        <g:Image ui:field="playButton" styleName="{style.button}"></g:Image>
                        <g:Image ui:field="pauseButton" styleName="{style.button}" visible="false"></g:Image>
                    </td>
                    <td width="390px">
                        <g:Label ui:field="trackName" styleName="{style.label}"></g:Label>

                    </td>
                    <td width="50px">
                        <g:FlowPanel ui:field="sendButtonContainer"></g:FlowPanel>
                        <g:Anchor styleName="{style.addAnchor}" ui:field="addAnchor" visible="false" title="Add to Playlist">+</g:Anchor>
                        <g:Anchor styleName="{style.addAnchor}" ui:field="removeAnchor" visible="false" title="Remove from Playlist">×</g:Anchor>
                        <g:Label styleName="{style.addedLable}" ui:field="addedLabel" visible="false">Added to Playlist</g:Label>
                    </td>
                </tr>
            </table>


        </g:HTMLPanel>

    </g:HTMLPanel>


</ui:UiBinder>